import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';

const routes: Routes = [
   {
      path: 'customer',
      loadChildren: () => import('./customer/customer.module').then(mod => mod.CustomerModule)
   },
   {
      path: 'employee',
      loadChildren: () => import('./employee/employee.module').then(mod => mod.EmployeeModule)
   },
   {
      path: '',
      redirectTo: '',
      pathMatch: 'full'
   }
];

@NgModule({
   imports: [
      RouterModule.forRoot(routes)
   ],
   exports: [
      RouterModule
   ]
})
export class AppRoutingModule { } 
